﻿using Leadtools.Annotations.Core;

namespace CustomAnnotationsDemo
{
   /// <summary>
   /// this class is the custom number object
   /// it's based off the text object
   /// </summary>
   class AnnNumberObject : AnnTextObject
   {
      //set the id to the UserObjectID + 3
      public const int NumberObjectId = UserObjectId+3;

      /// <summary>
      /// Constructor for the object
      /// set the id of the object to the number object ID
      /// set the text to null
      /// set the fill and stroke color to transparent
      /// set a new font name / size
      /// make it center aligned
      /// </summary>
      public AnnNumberObject()
         : base()
      {
         SetId(NumberObjectId);
         Tag = null;
         Text = string.Empty;
         Fill = AnnSolidColorBrush.Create("Transparent");
         Stroke.Stroke = AnnSolidColorBrush.Create("Transparent");
         Font = new AnnFont("Arial", 40);
         HorizontalAlignment = AnnHorizontalAlignment.Center;
         VerticalAlignment = AnnVerticalAlignment.Center;
         FixedStateOperations = AnnFixedStateOperations.FontSize;
      }

      protected override AnnObject Create()
      {
         return new AnnNumberObject();
      }
   }
}
