﻿using Leadtools.Annotations.Rendering;
using Leadtools.Annotations.Automation;
using Leadtools.Annotations.Core;

namespace CustomAnnotationsDemo
{
   /// <summary>
   /// This class is the custom renderer Designer for the Number object
   /// It's based off the Ann Text renderer
   /// </summary>
   public class AnnNumberObjectRenderer : AnnTextObjectRenderer
   {
      /// <summary>
      /// Constructor for the renderer
      /// get the text object renderer and use the same styles for the number
      /// </summary>
      public AnnNumberObjectRenderer(AnnAutomationManager manager)
         : base()
      {
         IAnnObjectRenderer annTextObjectRenderer = manager.RenderingEngine.Renderers[AnnObject.TextObjectId];
         LabelRenderer = annTextObjectRenderer.LabelRenderer;
         LocationsThumbStyle = annTextObjectRenderer.LocationsThumbStyle;
         RotateCenterThumbStyle = annTextObjectRenderer.RotateCenterThumbStyle;
         RotateGripperThumbStyle = annTextObjectRenderer.RotateGripperThumbStyle;
      }
   }
}
