﻿using Leadtools.Annotations.Core;

namespace CustomAnnotationsDemo
{
   /// <summary>
   /// this class is the custom star object
   /// it's based off the poly line object
   /// </summary>
   class AnnStarObject : AnnPolylineObject
   {
      //set the id to the UserObjectID + 2
      public const int StarObjectId = UserObjectId + 2;

      /// <summary>
      /// Constructor for the object
      /// set the id of the object to the star object ID
      /// set the fill color to gold
      /// set the stroke to transparent
      /// set the is closed property to true since it's a polygon
      /// </summary>
      public AnnStarObject()
         : base()
      {
         SetId(StarObjectId);
         Tag = null;
         Fill = AnnSolidColorBrush.Create("Gold");
         Stroke.Stroke = AnnSolidColorBrush.Create("Transparent");
         IsClosed = true;
      }

      protected override AnnObject Create()
      {
         return new AnnStarObject();
      }
   }
}
