﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Leadtools.Annotations.Rendering;
using Leadtools.Annotations.Automation;
using Leadtools.Annotations.Core;

namespace CustomAnnotationsDemo
{
   /// <summary>
   /// This class is the custom renderer Designer for the star object
   /// It's based off the Ann Polyline renderer
   /// </summary>
   class AnnStarObjectRenderer : AnnPolylineObjectRenderer
   {
      /// <summary>
      /// Constructor for the renderer
      /// get the polyline object renderer and use the same styles for the star
      /// </summary>
      public AnnStarObjectRenderer(AnnAutomationManager manager)
         : base()
      {
         IAnnObjectRenderer polyLineObjRenderer = manager.RenderingEngine.Renderers[AnnObject.PolylineObjectId];
         LabelRenderer = polyLineObjRenderer.LabelRenderer;
         LocationsThumbStyle = polyLineObjRenderer.LocationsThumbStyle;
         RotateCenterThumbStyle = polyLineObjRenderer.RotateCenterThumbStyle;
         RotateGripperThumbStyle = polyLineObjRenderer.RotateGripperThumbStyle;
      }
   }
}
