﻿using Leadtools.Annotations.Core;

namespace CustomAnnotationsDemo
{
   /// <summary>
   /// this class is the custom tiny stamp object
   /// it's based off the stamp object
   /// </summary>
   class AnnTinyStampObject : AnnStampObject
   {
      //set the id to the UserObjectID + 1
      public const int TinyStampId = UserObjectId + 1;

      /// <summary>
      /// Constructor for the object
      /// set the id of the object to the tiny stamp object ID
      /// set the fill and stroke color to transparent
      /// set the text to nothing
      /// </summary>
      public AnnTinyStampObject()
         : base()
      {
         SetId(TinyStampId);
         Tag = null;
         Text = null;
         Fill = AnnSolidColorBrush.Create("Transparent");
         Stroke.Stroke = AnnSolidColorBrush.Create("Transparent");
      }

      protected override AnnObject Create()
      {
         return new AnnTinyStampObject();
      }
   }
}
