﻿using Leadtools.Annotations.Rendering;
using Leadtools.Annotations.Automation;
using Leadtools.Annotations.Core;

namespace CustomAnnotationsDemo
{
   /// <summary>
   /// This class is the custom renderer Designer for the tiny stamp object
   /// It's based off the Ann stamp renderer
   /// </summary>
   class AnnTinyStampRenderer : AnnStampObjectRenderer
   {
      /// <summary>
      /// Constructor for the renderer
      /// get the stamp object renderer and only use the label renderer
      /// we don't want the user to be able to resize the tiny stamp or rotate it
      /// </summary>
      public AnnTinyStampRenderer(AnnAutomationManager manager)
         : base()
      {
         IAnnObjectRenderer rectangleObjRenderer = manager.RenderingEngine.Renderers[AnnObject.StampObjectId];
         LabelRenderer = rectangleObjRenderer.LabelRenderer;
      }
   }
}
